using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using Telerik.Web.UI;
using System.Globalization;

using BE;
using BL;
using Utilitaria;

public partial class frmPuntosVenta : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            //ViewState["Empresa"] = 15; //Session["EmpresaID"].ToString();
            //ViewState["HotelID"] = 8; Request.QueryString["SCR"].ToString();
            ViewState["PuntoVenta"] = Request.QueryString["pv"].ToString();
            Combo_DiarioAuxiliar();
            Combo_UnidadesNegocio();
            Combo_Areas();
            Listar();
        }
    }
    private void Combo_UnidadesNegocio()
    {
        BLUnidadesDeNegocio oBlUnidadesDeNegocio = new BLUnidadesDeNegocio();
        List<BEUnidadesDeNegocio> loUnidadesDeNegocio;

        BEUnidadesDeNegocio oBEUnidadesDeNegocio = new BEUnidadesDeNegocio();
        oBEUnidadesDeNegocio.EstablecimientoID = Convert.ToInt32(Session["EmpresaID"].ToString());
        oBEUnidadesDeNegocio.EstablecimientoID = 0;

        //loUnidadesDeNegocio = oBlUnidadesDeNegocio.fnSelUnidadesDeNegocioDin(oBEUnidadesDeNegocio, "and EstablecimientoID=" + Session["EmpresaID"].ToString().Trim(), "");
        loUnidadesDeNegocio = oBlUnidadesDeNegocio.fnSelUnidadesDeNegocioDin(oBEUnidadesDeNegocio, "", "");

        cmbUnidadNegocio.DataSource = loUnidadesDeNegocio;
        cmbUnidadNegocio.DataBind();

        oBlUnidadesDeNegocio = null;
        oBEUnidadesDeNegocio = null;
        loUnidadesDeNegocio = null;

    }
    private void Combo_DiarioAuxiliar()
    {
        BLSubDiarios oBLSubDiarios = new BLSubDiarios();
        List<BESubDiarios> loSubDiarios;

        //loSubDiarios = oBLSubDiarios.fnSelSubDiariosDin("Estado=0 AND EstablecimientoID=" + Session["EmpresaID"].ToString(), "NombreSubDiario asc");
        loSubDiarios = oBLSubDiarios.fnSelSubDiariosDin("Estado=0", "NombreSubDiario asc");

        RadComboBoxItem fixeditem = new RadComboBoxItem();


        for (int i = 0; i < loSubDiarios.Count; i++)
        {
            SubiDiarioFV.Items.Insert(i, new RadComboBoxItem(loSubDiarios[i].NombreSubDiario.Trim()));
            SubiDiarioFV.Items[i].Value = loSubDiarios[i].SubDiarioID.Trim();

            SubiDiarioBV.Items.Insert(i, new RadComboBoxItem(loSubDiarios[i].NombreSubDiario.Trim()));
            SubiDiarioBV.Items[i].Value = loSubDiarios[i].SubDiarioID.Trim();

            SubiDiarioNC.Items.Insert(i, new RadComboBoxItem(loSubDiarios[i].NombreSubDiario.Trim()));
            SubiDiarioNC.Items[i].Value = loSubDiarios[i].SubDiarioID.Trim();
        }

        SubiDiarioFV.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
        SubiDiarioFV.Items[0].Value = "";
        SubiDiarioBV.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
        SubiDiarioBV.Items[0].Value = "";
        SubiDiarioNC.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
        SubiDiarioNC.Items[0].Value = "";

        oBLSubDiarios = null;
        loSubDiarios = null;
    }
    private void Combo_Areas()
    {
        BLAreas oBLAreas = new BLAreas();
        List<BEAreas> loAreas;

        loAreas = oBLAreas.fnSelAreasDin("estado=0 and EstablecimientoID=" + Session["EmpresaID"].ToString().Trim(), "2");

        for (int i = 0; i < loAreas.Count; i++)
        {
            cbxAreas.Items.Insert(i, new RadComboBoxItem(loAreas[i].NombreArea.Trim()));
            cbxAreas.Items[i].Value = loAreas[i].AreaId.ToString().Trim();

        }
        cbxAreas.Items.Insert(0, new RadComboBoxItem("Seleccione..."));
        cbxAreas.Items[0].Value = "0";


        oBLAreas = null;
        loAreas = null;
    }

    private void Listar()
    {

        BEConfigTransferencias objBEConfigTransferencias = new BEConfigTransferencias();
        BLConfigTransferencias objBLConfigTransferencias = new BLConfigTransferencias();
        List<BEConfigTransferencias> loConfigTransferencias;

        loConfigTransferencias = objBLConfigTransferencias.fnSelPuntosVentaAll(Convert.ToInt32(ViewState["PuntoVenta"].ToString().Trim()));

        if (loConfigTransferencias.Count > 0)
        {
            txtNombre.Text = loConfigTransferencias[0].nombre;
            cmbUnidadNegocio.SelectedValue = loConfigTransferencias[0].UnidadNegocioID.ToString().Trim();
            SubiDiarioFV.SelectedValue = loConfigTransferencias[0].SubDiarioIDFV.ToString().Trim();
            SubiDiarioBV.SelectedValue = loConfigTransferencias[0].SubDiarioIDBV.ToString().Trim();
            SubiDiarioNC.SelectedValue = loConfigTransferencias[0].SubDiarioIDNC.ToString().Trim();
            cbxAreas.SelectedValue = loConfigTransferencias[0].AreaID.ToString().Trim();
        }
        


        objBEConfigTransferencias = null;
        objBLConfigTransferencias = null;
        loConfigTransferencias = null;
    }

  
    protected void btnGuardar_Click(object sender, EventArgs e)
    {
        BEConfigTransferencias objBEConfigTransferencias = new BEConfigTransferencias();
        BLConfigTransferencias objBLConfigTransferencias = new BLConfigTransferencias();

        objBEConfigTransferencias.PuntoventaId = Convert.ToInt32(ViewState["PuntoVenta"].ToString());
        objBEConfigTransferencias.UnidadNegocioID = Convert.ToInt32(this.cmbUnidadNegocio.SelectedValue.Trim());
        objBEConfigTransferencias.SubDiarioIDFV = this.SubiDiarioFV.SelectedValue.Trim();
        objBEConfigTransferencias.SubDiarioIDBV = this.SubiDiarioBV.SelectedValue.Trim();
        objBEConfigTransferencias.SubDiarioIDNC = this.SubiDiarioNC.SelectedValue.Trim();
        objBEConfigTransferencias.AreaID = Convert.ToInt32(this.cbxAreas.SelectedValue.Trim());

        objBLConfigTransferencias.fnInsUpdPuntosVenta(objBEConfigTransferencias);

        ClientScript.RegisterStartupScript(Page.GetType(), "mykey", "CloseAndRebind();", true);
        
    }

    protected void btnVolver_Click(object sender, EventArgs e)
    {
        ClientScript.RegisterStartupScript(Page.GetType(), "mykey", "CancelEdit();", true);
    }
    protected void GridDistribucionAreas_NeedDataSource(object source, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        Listar();
    }
    protected void GridDistribucionAreas_ItemCommand(object source, GridCommandEventArgs e)
    {

    }

    protected void txtParticipacion_Textchanged(object sender, EventArgs e)
    {
    //    if (Total() > 100)
    //        Label1.Text = "El total de la Participacion debe ser menor que 100";
    //    else
    //        Label1.Text = "";
    //    UpdatePanel1.Update();
    }

    private Decimal Total()
    {
        //Decimal Total = 0;
        //String ValorAct = "";
        //foreach (GridDataItem gr in GridDistribucionAreas.Items)
        //{
        //    ValorAct = ((RadNumericTextBox)gr.FindControl("txtParticipacion")).Text;
        //    if (ValorAct != "")
        //    {
        //        Total += Convert.ToDecimal(ValorAct);
        //    }
        //    else
        //    {
        //        Total += 0;
        //    }
        //}
        return 0; //Total;
    }


    protected void showMessage(string strMessage)
    {
        ScriptManager.RegisterStartupScript(this, this.GetType(), "myscript", "alert('" + strMessage + "');", true);
    }
}
